Subject: Re: [Sip] [Sip-implementors] Content-Disposition

From: "Attila Sipos" <[email-masked]>
Date: Wed, 9 Mar 2011 18:12:15 -0000

Strictly, for an error like that, there should be a "404 Bad Request"
response
but you might decide it is better to treat it as if it is missing:

   If the Content-Disposition header field is missing, bodies of
   Content-Type application/sdp imply the disposition "session", while
   other content types imply "render".

In this case, I think I would opt for a 404 response and then
inform the UA vendors that their UA is misbehaving.

regards
Attila

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of
isshed
Sent: 09 March 2011 17:55
To: [email-masked]; sip-implementors; [email-masked]
Subject: Re: [Sip-implementors] Content-Disposition

If this header in initial invite and parsing fails. does the call get
connected?

On Wed, Mar 9, 2011 at 11:16 PM, isshed <[email-masked]> wrote:

> does anyone know what the behaviour if parsing of Content-Disposition 
> header fails.
>
> Thanks,
> HArendra
>
_______________________________________________
Sip-implementors mailing list
[email-masked]
https://lists.cs.columbia.edu/cucslists/listinfo/sip-implementors

---

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Wed, 9 Mar 2011 13:28:14 -0500

________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Attila Sipos [[email-masked]]

I agree with Attila, although beware he typed "404" where he should have typed "400".  (404 is "Not Found".)

Be careful that your parser will accept all possible future extensions of Content-Disposition as specified in RFC 3261 section 25.1 -- you wouldn't want your device rejecting calls that implemented some future extension.

Dale